package server

import (
	"code.fbi.h-da.de/cocsn/gosdn/nucleus"
)

var pndc *nucleus.PndStore

// NorthboundInterface is the representation of the
// gRPC services used provided.
type NorthboundInterface struct {
	Pnd  *pndServer
	Core *core
}

// NewNBI receives a PndStore and returns a new gRPC *NorthboundInterface
func NewNBI(pnds *nucleus.PndStore) *NorthboundInterface {
	pndc = pnds
	return &NorthboundInterface{
		Pnd:  &pndServer{},
		Core: &core{},
	}
}
